<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');session_start();if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?exit;}
include "../conexion/conectar.php";
include("../actualizarBus.php");

$conexion = new CONDB();
$conexion->conectar();

$rfcEmisor=$_POST["busca_emisor"];
$doc=$_POST["busca_documento"];
$serieI=$_POST["busca_serieI"];
$serieF=$_POST["busca_serieF"];
$folioI=$_POST["busca_folioI"];
$folioF=$_POST["busca_folioF"];
$fechaI=$_POST["busca_fechaI"];
$fechaF=$_POST["busca_fechaF"];

		if($serieF=="")
		{
			
			$resultado=mysqli_query($conexion->CONEXION,getQuery2());
			
			if($maximo=mysqli_fetch_array($resultado,MYSQLI_ASSOC))
			$serieF=$maximo["serie_maxima"];
		}
		if($folioF=="")
		{
			
			$resultado=mysqli_query($conexion->CONEXION,getQuery3());
			
			if($maximo=mysqli_fetch_array($resultado,MYSQLI_ASSOC))
			$folioF=$maximo["folio_maximo"];
		}
		if($fechaF=="")
		{
			
			$resultado=mysqli_query($conexion->CONEXION,getQuery4());
			
			if($maximo=mysqli_fetch_array($resultado,MYSQLI_ASSOC))
			$fechaF=$maximo["fecha_maxima"];
		}
		if($fechaI != ""){
			$fechaI.=" 00:00:00";
		}
		$fechaF.=" 23:59:59";

	$q=getQuery5($serieI,$serieF,$doc,$rfcEmisor,$folioI,$folioF,$fechaI,$fechaF);
	
	if($_SESSION['todo_RFC_p_prov_absa'] == "SI"){
		$complementoQuery="";
	}else{
		$complementoQuery="and rfcreceptor='".$_SESSION['rfc_cliente_p_prov_absa']."'";
	}
	
	if($doc == ""){
		$docQuery="like '%$doc%'";
	}else{
		$docQuery="='$doc'";
	}
	
	if($rfcEmisor == ""){
		$rfcQuery="like '%$rfcEmisor%'";
	}else{
		$rfcQuery="='$rfcEmisor'";
	}
	
	$query="select distinct rutaPDF_P as rpdf,rutaXML_P as rxml, rfcemisor,tipodocto,serie,folio,fecha,rfcreceptor,nombrerec,iva,total,status,usarRutaDistribuida,archPDF,archXML from 
	 (select rfc,tipodocto as tipodoc,rutaXML_P,rutaPDF_P,usarRutaDistribuida from emisor e,tdoctos t where e.idEmisor=t.idEmisor) 
	 as c,doce d where d.nombrerec like '%$busca_nombre%' and c.rfc = d.rfcemisor and rfcemisor $rfcQuery and 
	tipodocto $docQuery and d.tipodocto=c.tipodoc $complementoQuery and serie between '$serieI' and '$serieF' and
	folio between '$folioI' and '$folioF' and fecha between '$fechaI' and '$fechaF' and mostrarweb='SI' and status=1 and taxid='".$_SESSION['taxid']."' $permisosComplemento ";
	

$queryT=mysqli_query($conexion->CONEXION,$query);

$totalren=mysqli_num_rows($queryT);
if($totalren > 0){
$_SESSION['remove']=$q;
?>
<table width="800">
	<tr>
		<td align="left">
			<a href="#" onClick="if(confirm('Esta seguro de eliminar fisicamente todos los documentos?')){borrar('borra.php','BORRARTODO'); return false;}"><input type="Button" class="estilo_btn" value="Borrar todo" title="Borra fisicamente todos los archivos filtrados"></a>
		</td>
	</tr>
</table>
<?
}
?>

<script>
var query="<?=$q?>";
$j_6(document).ready(function(){
	$j_6().gridJQGrid({
	php: 'grids/generaGrid.php',
	headerNames: ',RFC Emisor,Tipo Documento,Serie,Folio,Fecha,RFC Receptor,Nombre Receptor,IVA,Total,Status',
	sortname: 'rfcemisor,tipodocto,serie,folio',
	Frozen: true,
	idGrid: 'grid_doce',
	idPagina: 'pagina_doce',
	optionsCol: 'icono|width: 20, search: false, sortable:false, frozen: true;'+
				'rfcemisor|width: 110, frozen: true;'+
				'tipodocto|width: 150, frozen: true;'+
				'serie|width: 100, frozen: true;'+
				'folio|width: 100, frozen: true, sorttype: "int";'+
				'fecha|width: 150, sorttype: "date";'+
				'rfcreceptor|width: 150;'+
				'nombrerec|width: 150;'+
				'iva|width: 150, sorttype: "float";'+
				'total|width: 150, sorttype: "float";'+
				'status|width: 60, search: false',
	hiddenCol: '',
	ignoreColNamesExcel: '0,10',
	sheetName: 'Documentos encontrados',
	urlDatos: 'grids/mantenimientoDatosGrid.php',
	div: 'documentosHistorial',
	width: 750,
	rowNum: 20,
	query: query,
	optionsForm: 	'',
	captionForm: '',
	tabla: '',
	reloadGridAfterSave: '',
	captionConfirm: '',
	widthConfirm: 300,
	heightConfirm: 100,
	widthForm: 500,
	heightForm: 120,
	fileForm: 'grids/generaForm.php',
	edit: false,
	add: false,
	del: false
	});
});
</script>
<?
function getQuery2(){
	 $getQuery2="select max(serie) as serie_maxima from doce";
	return $getQuery2;
}
function getQuery3(){
	 $getQuery3="select max(folio) as folio_maximo from doce";
	return $getQuery3;
}
function getQuery4(){
	 $getQuery4="select max(fecha) as fecha_maxima from doce";
	return $getQuery4;
}
function getQuery5($serieI,$serieF,$doc,$rfcEmisor,$folioI,$folioF,$fechaI,$fechaF){
	if($_SESSION['todo_RFC_p_prov_absa'] == "SI"){
		$complementoQuery="";
	}else{
		$complementoQuery="and rfcreceptor='".$_SESSION['rfc_cliente_p_prov_absa']."'";
	}
	
	if($doc == ""){
		$docQuery="like '%$doc%'";
	}else{
		$docQuery="='$doc'";
	}
	
	if($rfcEmisor == ""){
		$rfcQuery="like '%$rfcEmisor%'";
	}else{
		$rfcQuery="='$rfcEmisor'";
	}
	
	 $getQuery5="select distinct rutaPDF_P, rutaXML_P, rfcemisor,tipodocto,serie,folio,fecha,rfcreceptor,nombrerec,iva,total,status,usarRutaDistribuida,archPDF,archXML from (select rfc,tipodocto as tipodoc,rutaXML_P,rutaPDF_P,usarRutaDistribuida from emisor e,tdoctos t where e.idEmisor=t.idEmisor) as c,doce d where d.nombrerec like '%$busca_nombre%' and c.rfc = d.rfcemisor and rfcemisor $rfcQuery and tipodocto $docQuery and d.tipodocto=c.tipodoc $complementoQuery and serie between '$serieI' and '$serieF' and folio between '$folioI' and '$folioF' and fecha between '$fechaI' and '$fechaF' and mostrarweb='SI' and status='1' and taxid='".$_SESSION['taxid']."' $permisosComplemento ";
	
	return $getQuery5;
}
?>